- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- PrivateOfferView
Gets details of a single PrivateOffer.
HTTP request
GET https://commerceproducer.googleapis.com/v1beta/{name=projects/*/locations/*/privateOffers/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Name of the resource |
Query parameters
| Parameters | |
|---|---|
view |
Optional. The view of the PrivateOffer to return. If unspecified, the default view is BASIC. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of PrivateOffer.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
commerceproducer.privateOffers.get
For more information, see the IAM documentation.
PrivateOfferView
Controls which fields are returned in a PrivateOffer returned by the API. https://google.aip.dev/157
| Enums | |
|---|---|
PRIVATE_OFFER_VIEW_UNSPECIFIED |
The default / unset value. The API will default to the BASIC view. |
PRIVATE_OFFER_VIEW_BASIC |
Include basic metadata about the PrivateOffer, but not the full contents. This is the default value (for both List and Get requests). |
PRIVATE_OFFER_VIEW_FULL |
Include everything. |